mjlab.rl
========

.. automodule:: mjlab.rl

.. rubric:: Classes

.. hlist::
  :columns: 3

  - :class:`MjlabOnPolicyRunner`
  - :class:`RslRlVecEnvWrapper`
  - :class:`RslRlOnPolicyRunnerCfg`
  - :class:`RslRlPpoAlgorithmCfg`
  - :class:`RslRlModelCfg`
  - :class:`RslRlBaseRunnerCfg`

Runner
------

.. autoclass:: MjlabOnPolicyRunner
  :members:
  :show-inheritance:

.. autoclass:: RslRlVecEnvWrapper
  :members:
  :show-inheritance:

Configuration
-------------

.. autoclass:: RslRlOnPolicyRunnerCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: RslRlPpoAlgorithmCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: RslRlModelCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: RslRlBaseRunnerCfg
  :members:
  :exclude-members: __init__
